libzypp 17.37.10

Transaction.h File Reference
`#include <iosfwd>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/sat/SolvIterMixin.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/sat/Queue.h>`
`#include <zypp/PoolItem.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::Transaction
| Libsolv transaction wrapper. More...
struct | zypp::sat::Transaction::LoadFromPoolType
| Ctor arg type. More...
class | zypp::sat::Transaction::Step
| A single step within a Transaction. More...
class | zypp::sat::detail::Transaction_iterator
| Transaction iterator. More...
class | zypp::sat::detail::Transaction_const_iterator
| Transaction const_iterator. More...
struct | zypp::sat::Transaction::FilterAction

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
namespace | zypp::sat::detail

## Functions
| zypp::sat::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (Transaction::StepStages)